=== debian/changelog ===
racket (8.2+dfsg1-2ubuntu1) jammy; urgency=medium

  * d/control: Recommends libssl3 instead of libssl1.1

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 15 Feb 2022 09:49:30 +0100

racket (8.2+dfsg1-2) unstable; urgency=medium

  * Re-upload to unstable.
  * Bug fix: "build with -O2 to avoid misbuild with CFLAGS=-O3", thanks to
    Steve Langasek (Closes: #935930).

 -- David Bremner <bremner@debian.org>  Mon, 13 Sep 2021 20:48:34 -0300

racket (8.2+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Tue, 20 Jul 2021 11:05:19 -0300

racket (8.0+dfsg1-4) experimental; urgency=medium

  * Bug fix: "missing Breaks+Replaces: racket-common (<< 8)", thanks
    to Andreas Beckmann (Closes: #986874).
  * Drop Breaks/Depends on plt-scheme (package not in oldstable)
  * Drop provides of plt-scheme.

 -- David Bremner <bremner@debian.org>  Tue, 13 Apr 2021 08:25:15 -0300

racket (8.0+dfsg1-3) experimental; urgency=medium

  * Use bc backend for all except amd64, arm64, armhf, i386 (enable some
    ports)

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 18:00:08 -0300

racket (8.0+dfsg1-2) experimental; urgency=medium

  * Use bc backend on armel, mips64el, mipsel, ppc64el, and s390x
  * Don't pass --noopt to configure by default

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 13:03:07 -0300

racket (8.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Build with Chez Scheme backend
  * update debian/copyright for Chez Scheme bundle

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 08:18:48 -0300
