## racket 8.6+dfsg1

=== src/ChezScheme/wininstall/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 9.5.5
+VERSION := 9.5.9
 WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension
 export MSYS_NO_PATHCONV=1
 
@@ -22,10 +22,10 @@
 
 .PHONY: workareas
 workareas:
-	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt
-	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt
-	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt
-	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt
+	cd ..; cmd.exe /c build.bat a6nt
+	cd ..; cmd.exe /c build.bat i3nt
+	cd ..; cmd.exe /c build.bat ta6nt
+	cd ..; cmd.exe /c build.bat ti3nt
 
 .PHONY: clean
 clean:
