=== debian/changelog ===
racket (8.6+dfsg1-2) unstable; urgency=medium

  * Cherry pick upstream commit 261948f02a062728faa5b625e8d765b4fdaf7e16
  * Restore previous building of documentation only for arch all builds.

 -- David Bremner <bremner@debian.org>  Tue, 30 Aug 2022 22:07:54 -0700

racket (8.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Move man pages to racket-common

 -- David Bremner <bremner@debian.org>  Thu, 25 Aug 2022 06:43:45 -0700

racket (8.5+dfsg1-1) unstable; urgency=medium

  * Bug fix: "should no longer recommend libssl1.1", thanks to Vincent
    Lefevre (Closes: #1012733).
  * Remove dubious files (as defined by zlib source package) from embedded
    zlib.

 -- David Bremner <bremner@debian.org>  Mon, 13 Jun 2022 08:29:09 -0300

racket (8.5-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Wed, 08 Jun 2022 11:35:40 -0300

racket (8.4-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS building for armel,armhf on arm64", thanks to Steve
    McIntyre (Closes: #917794); not found with new Chez Scheme backend.
  * Bug fix: "please clean up mentions of plt-scheme" (Closes: #930533).

 -- David Bremner <bremner@debian.org>  Sun, 20 Feb 2022 22:30:20 -0400
