## racket 8.7%2Bdfsg1

=== debian/changelog ===
racket (8.7+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Wed, 28 Dec 2022 10:45:22 -0400

racket (8.7+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.7+dfsg1.
  * Drop patch 261948f, now upstream

 -- David Bremner <bremner@debian.org>  Thu, 17 Nov 2022 06:40:55 -0400

racket (8.5+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Thu, 16 Jun 2022 10:53:55 -0300

racket (8.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Tue, 07 Jun 2022 10:50:54 -0300
